float x = 0;
float y = 0;
float D = 100;
float time = 0;
float g = 9.8;
float groundLevel = 350;
float theta = PI/4;
float v = 3.13*sqrt(g*D);

void setup() {
  size(750,400);
  smooth();
  frameRate(30);
}

void draw() {
  background(255);
  drawGround();
  drawContainer();
  drawWater();
  drawBall();
  time = time + 1.0/frameRate; 
}

void drawGround() {
  line(0, groundLevel, width, groundLevel);
}

void drawContainer() {
  line(6*D, groundLevel, 6*D, groundLevel-2*D);
  line(6*D, groundLevel, 7*D, groundLevel);
  line(7*D, groundLevel, 7*D, groundLevel-2*D);
} 

void drawWater() {
  fill(0, 0, 250);
  rect(6*D, groundLevel-D, D, D);
  fill(0);
}

void drawBall() {
  x = v * cos(theta) * time;
  y = v * sin(theta) * time - 0.5 * g * time * time;
  ellipse(x, groundLevel-y, 5, 5); 
}